#
#   Debugging function for displaying a call stack
#   traceback at the point of call
#

def where():
    try:
        raise "foo"
    except:
        import sys, traceback
        fp = sys.exc_traceback.tb_frame
        while fp:
            print fp.f_code.co_filename, fp.f_lineno, fp.f_code.co_name
            fp = fp.f_back
